VPS侦探论坛

 找回密码
 注册
查看: 111|回复: 2

1.7beta升级PHP7.4.3失败

[复制链接]
发表于 2020-3-8 22:42:42 | 显示全部楼层 |阅读模式



php-7.4.3.tar.bz2 [found]
+-------------------------------------------+
|    Manager for LNMP, Written by Licess    |
+-------------------------------------------+
|              https://lnmp.org             |
+-------------------------------------------+
Stoping LNMP...
Stoping nginx...  done
Shutting down MySQL. SUCCESS!
/etc/init.d/php-fpm: line 1: omments: command not found
Installing Dependent for PHP...
Package c-ares-devel-1.10.0-3.el7.x86_64 already installed and latest version
Nothing to do
Package libicu-devel-50.2-3.el7.x86_64 already installed and latest version
Nothing to do
Package libxslt-1.1.28-5.el7.x86_64 already installed and latest version
Nothing to do
Package libxslt-devel-1.1.28-5.el7.x86_64 already installed and latest version
Nothing to do
Package xz-5.2.2-1.el7.x86_64 already installed and latest version
Nothing to do
Package expat-devel-2.1.0-10.el7_3.x86_64 already installed and latest version
Nothing to do
Package libzip-devel-0.10.1-8.el7.x86_64 already installed and latest version
Nothing to do
Package bzip2-1.0.6-13.el7.x86_64 already installed and latest version
Nothing to do
Package bzip2-devel-1.0.6-13.el7.x86_64 already installed and latest version
Nothing to do
Package sqlite-devel-3.7.17-8.el7_7.1.x86_64 already installed and latest version
Nothing to do
Package oniguruma-devel-5.9.5-3.el7.x86_64 already installed and latest version
Nothing to do
Existing lock /var/run/yum.pid: another copy is running as pid 17984.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory :  50 M RSS (364 MB VSZ)
    Started: Sun Mar  8 22:22:49 2020 - 00:02 ago
    State  : Running, pid: 17984
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory : 235 M RSS (554 MB VSZ)
    Started: Sun Mar  8 22:22:49 2020 - 00:04 ago
    State  : Running, pid: 17984
Examining /var/tmp/yum-root-erMeK5/oniguruma-5.9.5-3.el7.x86_64.rpm: oniguruma-5.9.5-3.el7.x86_64
/var/tmp/yum-root-erMeK5/oniguruma-5.9.5-3.el7.x86_64.rpm: does not update installed package.
Error: Nothing to do
Examining /var/tmp/yum-root-erMeK5/oniguruma-devel-5.9.5-3.el7.x86_64.rpm: oniguruma-devel-5.9.5-3.el7.x86_64
/var/tmp/yum-root-erMeK5/oniguruma-devel-5.9.5-3.el7.x86_64.rpm: does not update installed package.
Error: Nothing to do
configure: error: Package requirements (libzip >= 0.11) were not met:

Requested 'libzip >= 0.11' but version of libzip is 0.10.1
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables LIBZIP_CFLAGS
and LIBZIP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** No targets specified and no makefile found.  Stop.
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
Copy new php configure file...
Modify php.ini......
include/php.sh: line 86: pear: command not found
include/php.sh: line 87: pecl: command not found
include/php.sh: line 92: php: command not found
curl: (23) Failed writing body (0 != 16110)
Install ZendGuardLoader for PHP 7...
unavailable now.
Creating new php-fpm configure file...
Copy php-fpm init.d file...
cp: cannot stat ‘/root/lnmp1.7/src/php-7.4.3/sapi/fpm/init.d.php-fpm’: No such file or directory
chmod: cannot access ‘/etc/init.d/php-fpm’: No such file or directory

+-------------------------------------------+
|    Manager for LNMP, Written by Licess    |
+-------------------------------------------+
|              https://lnmp.org             |
+-------------------------------------------+
Starting LNMP...
Starting nginx...  done
Starting MySQL.. SUCCESS!
/bin/lnmp: line 27: /etc/init.d/php-fpm: No such file or directory
======== upgrade php failed ======
upgrade php log: /root/upgrade_lnmp_php.log
You upload upgrade_lnmp_php.log to LNMP Forum for help.
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-3-9 09:00:28 | 显示全部楼层


看上面信息你系统是centos7,铁定是安装不了php 7.4的
https://lnmp.org/install.html 安装要求上有说明“PHP 7.4升级或安装必须CentOS 8+,Debian 8+,Ubuntu 16.04+且必须使用1.7!!!
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2020-3-9 18:54:52 | 显示全部楼层



licess 发表于 2020-3-9 09:00
看上面信息你系统是centos7,铁定是安装不了php 7.4的
https://lnmp.org/install.html 安装要求上有说明“P ...

不好意思,没注意看说明。。。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-4-9 05:46 , Processed in 0.044720 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表